classification
Title: typing docs "versionadded" is inaccurate for many attributes
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Anthony Sottile, docs@python, levkivskyi
Priority: normal Keywords: patch

Created on 2019-05-21 05:20 by Anthony Sottile, last changed 2019-06-02 00:25 by levkivskyi. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13457 merged Anthony Sottile, 2019-05-21 05:22
PR 13737 merged miss-islington, 2019-06-02 00:14
Messages (1)
msg342978 - (view) Author: Anthony Sottile (Anthony Sottile) * Date: 2019-05-21 05:20
expanding on https://bugs.python.org/issue36983

the docs are also a bit out of date in places

I'm not sure how to document something that appeared in two versions, but I'll leave that part to review.

Using data generated / collected in https://github.com/asottile/flake8-typing-imports via this script: https://github.com/asottile/flake8-typing-imports/blob/master/bin/build-generated

and then analyzed with this script:

from flake8_typing_imports import SYMBOLS

ALL = set().union(*(v for _, v in SYMBOLS))

for k in sorted(ALL):
    state = False
    for i, (v, ks) in enumerate(SYMBOLS):
        if state is False and k in ks:
            print(f'{k}: new in {v}')
            state = True
        elif state is True and k not in ks:
            print(f'=> {k}: removed in {v}')
            state = False


I've found the following:

$ python3 t.py | grep -v 'new in 3\.5\.0'
AsyncContextManager: new in 3.5.4
=> AsyncContextManager: removed in 3.6.0
AsyncContextManager: new in 3.6.2
AsyncGenerator: new in 3.6.1
AsyncIterable: new in 3.5.2
AsyncIterator: new in 3.5.2
Awaitable: new in 3.5.2
ChainMap: new in 3.5.4
=> ChainMap: removed in 3.6.0
ChainMap: new in 3.6.1
ClassVar: new in 3.5.3
Collection: new in 3.6.0
ContextManager: new in 3.5.4
Coroutine: new in 3.5.3
Counter: new in 3.5.4
=> Counter: removed in 3.6.0
Counter: new in 3.6.1
DefaultDict: new in 3.5.2
Deque: new in 3.5.4
=> Deque: removed in 3.6.0
Deque: new in 3.6.1
ForwardRef: new in 3.7.0
GenericMeta: new in 3.5.4
=> GenericMeta: removed in 3.6.0
GenericMeta: new in 3.6.1
=> GenericMeta: removed in 3.7.0
NewType: new in 3.5.2
NoReturn: new in 3.5.4
=> NoReturn: removed in 3.6.0
NoReturn: new in 3.6.2
OrderedDict: new in 3.7.2
TYPE_CHECKING: new in 3.5.2
Text: new in 3.5.2
Type: new in 3.5.2
History
Date User Action Args
2019-06-02 00:25:05levkivskyisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-06-02 00:14:56miss-islingtonsetpull_requests: + pull_request13620
2019-06-01 11:47:09cheryl.sabellasetnosy: + levkivskyi
2019-05-21 05:22:57Anthony Sottilesetkeywords: + patch
stage: patch review
pull_requests: + pull_request13366
2019-05-21 05:20:35Anthony Sottilecreate